Subject: bug#16370: [PATCH] parted: don't reload partition table on every command

From: Phillip Susi <[email-masked]>
Date: Fri, 02 May 2014 21:47:12 -0400

On 04/18/2014 06:55 PM, Phillip Susi wrote:
> I could have sworn I fixed that test before, but here it is
> 
> 8<---------------------------->8
> 
> gpt was using a static local variable to suppress repeatedly
> reporting an error if you chose to ignore it.  This is incorrect as
> the variable is global to all disks, and ignoring the error on one
> should not suppress its reporting on another.  Moving the flag to
> the PedDisk object made it effectively useless because parted was
> destroying the PedDisk and reloading the partition table on every
> command.

Just noticed I didn't Cc you on this, was that an ack on this one with
the fixed test?